package com.quantgroup.asset.distribution.service.newrule.pojo.enums;

import lombok.Getter;

/**
 * @author shihuajun
 * @date 2021/8/28 10:33
 * @ describing
 */
@Getter
public enum SpecialRuleEnum {
    CONTACT_NAME_SAME_VERIFY("联系人姓名相同",""),
    CONTACT_TEL_SAME_VERIFY("联系人手机号相同",""),
    AREA_VERIFY("各种区域的组合校验",""),
    ID_CARD_VERIFY("身份证有效期的校验",""),
    CONTACT_TEL_ERROR_VERIFY("联系人手机号不正确","");

    private String desc;
    private String ruleEngine;

    SpecialRuleEnum(String desc, String ruleEngine){
        this.ruleEngine = ruleEngine;
        this.desc = desc;
    }
}
